namespace GameLogic.Combat.Hero.State
{
    public class CombatHeroStateBasic : IState
    {
        public CombatHeroEntity combatHeroEntity;

        public CombatHeroStateBasic(CombatHeroEntity combatHeroEntity)
        {
            this.combatHeroEntity = combatHeroEntity;
        }

        public void Enter()
        {
            ProEnter();
        }

        public void Update(float t)
        {
            ProUpdate(t);
        }

        public void Exit()
        {
            ProExit();
        }

        protected virtual void ProEnter()
        {
        }

        protected virtual void ProUpdate(float t)
        {
        }

        protected virtual void ProExit()
        {
        }
        protected virtual void ProDispose()
        {
        }

        public void Dispose()
        {
            ProDispose();
            combatHeroEntity = null;
        }

       
    }
}